GrailsPlaceholderConfigurer (Grails 6.0.0)

Package: org.grails.spring.context.support

## [Java] Class GrailsPlaceholderConfigurer

- org.grails.spring.context.support.GrailsPlaceholderConfigurer

- All Implemented Interfaces and Traits:
    GrailsConfigurationAware

      public class GrailsPlaceholderConfigurer
      extends org.springframework.context.support.PropertySourcesPlaceholderConfigurer
      implements GrailsConfigurationAware

  Uses Grails' ConfigObject for place holder values.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.beans.factory.BeanFactory` | `beanFactory` |
    `private java.lang.String` | `beanName` |
    `private Config` | `config` |
    `private java.util.Properties` | `properties` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.context.support.PropertySourcesPlaceholderConfigurer` | `LOCAL_PROPERTIES_PROPERTY_SOURCE_NAME, ENVIRONMENT_PROPERTIES_PROPERTY_SOURCE_NAME, DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsPlaceholderConfigurer (java.lang.String placeHolderPrefix, java.util.Properties properties)`
    `GrailsPlaceholderConfigurer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doProcessProperties(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactoryToProcess, org.springframework.util.StringValueResolver valueResolver)`
    `` | `public java.util.Properties` | `getProperties()`
    `` | `protected void` | `loadProperties(java.util.Properties props)`
    `` | `public void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
    `` | `public void` | `setBeanName(java.lang.String beanName)`
    `` | `public void` | `setConfiguration(Config co)`
    `` | `protected void` | `visitMap(java.util.Map<?, ?> mapVal)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.support.PropertySourcesPlaceholderConfigurer` | `org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getAppliedPropertySources(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertySources(org.springframework.core.env.PropertySources), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setEnvironment(org.springframework.core.env.Environment), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderPrefix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPlaceholderSuffix(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setValueSeparator(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setBeanName(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setNullValue(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreUnresolvablePlaceholders(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setTrimValues(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getOrder(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setOrder(int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setFileEncoding(java.lang.String), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesArray([Ljava.util.Properties;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocations([Lorg.springframework.core.io.Resource;), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocalOverride(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setIgnoreResourceNotFound(boolean), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setPropertiesPersister(org.springframework.util.PropertiesPersister), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setLocation(org.springframework.core.io.Resource), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#setProperties(java.util.Properties), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(long, int), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#wait(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#equals(java.lang.Object), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#toString(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#hashCode(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#getClass(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notify(), org.springframework.context.support.PropertySourcesPlaceholderConfigurer#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.beans.factory.BeanFactory beanFactory

    - #### private java.lang.String beanName

    - #### private Config config

    - #### private java.util.Properties properties

  - ### Constructor Detail

    - #### public GrailsPlaceholderConfigurer(java.lang.String placeHolderPrefix, java.util.Properties properties)

    - #### public GrailsPlaceholderConfigurer()

  - ### Method Detail

    - #### @java.lang.Override protected void doProcessProperties(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactoryToProcess, org.springframework.util.StringValueResolver valueResolver)

    - #### public java.util.Properties getProperties()

    - #### @java.lang.Override protected void loadProperties(java.util.Properties props)

    - #### @java.lang.Override public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

    - #### @java.lang.Override public void setBeanName(java.lang.String beanName)

    - #### @java.lang.Override public void setConfiguration(Config co)

    - #### @java.lang.Override protected void visitMap(java.util.Map<?, ?> mapVal)